Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search
Class FacetResultsHandler

    java.lang.Object
      org.apache.lucene.facet.search.FacetResultsHandler

Direct Known Subclasses:
  DepthOneFacetResultsHandler, PartitionsFacetResultsHandler

    public abstract class FacetResultsHandler

extends Object

Computes the top categories for a given `FacetRequest`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`protected FacetArrays` | `facetArrays`
`FacetRequest` | `facetRequest`
`TaxonomyReader` | `taxonomyReader`

Constructor Summary
`FacetResultsHandler(TaxonomyReader taxonomyReader, FacetRequest facetRequest, FacetArrays facetArrays)`

Method Summary
`abstract FacetResult` | `compute()` Computes the `FacetResult` for the given `FacetArrays`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taxonomyReader

    public final TaxonomyReader taxonomyReader

### facetRequest

    public final FacetRequest facetRequest

### facetArrays

    protected final FacetArrays facetArrays

Constructor Detail

### FacetResultsHandler

    public FacetResultsHandler(TaxonomyReader taxonomyReader,
                               FacetRequest facetRequest,
                               FacetArrays facetArrays)

Method Detail

### compute

    public abstract FacetResult compute()
                                 throws IOException

  Computes the `FacetResult` for the given `FacetArrays`.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.